import Web3 from 'web3';
import { PublicIssuer } from './wrappedContracts/PublicIssuer';
import { PrivateIssuer } from './wrappedContracts/PrivateIssuer';
import { Registry } from './wrappedContracts/Registry';
export declare function migratePublicIssuer(web3: Web3, deployKey: string, registryAddress: string): Promise<PublicIssuer>;
export declare function migratePrivateIssuer(web3: Web3, deployKey: string, registryAddress: string, publicIssuerAddress: string): Promise<PrivateIssuer>;
export declare function migrateRegistry(web3: Web3, deployKey: string): Promise<Registry>;
